#ifndef CHAPTER_5_HEADER
#define CHAPTER_5_HEADER

#include <xcb/xcb.h>
#include <xcb/xcb_atom.h>
#include <xcb/xcb_image.h>

#include "chapter_0.h"
#include "chapter_1.h"
#include "chapter_2.h"
#include "chapter_3.h"
#include "chapter_4.h"

extern int blesses_active;
extern int blesses_cursor_x;
extern int blesses_cursor_y;
extern int blesses_signal;
extern int blesses_zoom;

extern void blesses_configure   (void);
extern void blesses_synchronize (void);

extern void blesses_render_background_colour (int background);

extern void blesses_render_character (char character, int foreground, int background, int x, int y);

extern void blesses_render_string       (char * string,            int foreground, int background, int x, int y);
extern void blesses_render_number       (int    number,            int foreground, int background, int x, int y);
extern void blesses_render_string_limit (char * string, int limit, int foreground, int background, int x, int y);
extern void blesses_render_number_limit (int    number, int limit, int foreground, int background, int x, int y);

#endif
